Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## bea.jolt.pool
Class ServiceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--bea.jolt.JoltException
                              |
                              +--bea.jolt.ServiceException
                                    |
                                    +--bea.jolt.pool.ServiceException

public class ServiceException
extends bea.jolt.ServiceException

This exception is thrown when an error occurs in the execution of a BEA TUXEDO service. Information about the BEA TUXEDO error is contained in this class. Refer to the BEA Jolt User Guide for a list of BEA TUXEDO error codes, and the methods in `bea.jolt.ServiceException` that are used to access BEA TUXEDO error messages.

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class bea.jolt.JoltException
`TPEABORT, TPEBADDESC, TPEBLOCK, TPEDIAGNOSTIC, TPEEVENT, TPEHAZARD, TPEHEURISTIC, TPEINVAL, TPEIO, TPEITYPE, TPEJOLT, TPELIMIT, TPEMATCH, TPEMIB, TPENOENT, TPEOS, TPEOTYPE, TPEPERM, TPEPROTO, TPERELEASE, TPERMERR, TPESVCERR, TPESVCFAIL, TPESYSTEM, TPETIME, TPETRAN, TPGOTSIG`

Constructor Summary
`protected` | `ServiceException(int errno, java.lang.Object s, java.lang.String msg, int ext_errno, java.lang.String ext_msg)` Creates a `ServiceException` object with an error number, a diagnostic message, a detail error number, a detailed diagnostic message and an object that threw the exception.
`protected` | `ServiceException(java.lang.String msg, java.lang.Exception e)` Creates a `ServiceException` object

Methods inherited from class bea.jolt.ServiceException
`getErrorDetail, getStringErrorDetail`

Methods inherited from class bea.jolt.JoltException
`getErrno, getObject, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceException

    protected ServiceException(java.lang.String msg,
                               java.lang.Exception e)

  Creates a `ServiceException` object

  Parameters:
    `msg` - A diagnostic message or null
    `e` - null or a nested exception that causes this exception

### ServiceException

    protected ServiceException(int errno,
                               java.lang.Object s,
                               java.lang.String msg,
                               int ext_errno,
                               java.lang.String ext_msg)

  Creates a `ServiceException` object with an error number, a diagnostic message, a detail error number, a detailed diagnostic message and an object that threw the exception.

  Parameters:
    `errno` - Error number
    `s` - Object that threw the exception
    `ext_errno` - Detailed error number
    `ext_msg` - Detailed diagnostic message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD